Skip to main content
PATCH
/
v1
/
equipment_types
/
{id}
Update an EquipmentType
curl --request PATCH \
  --url https://api.tread-horizon.com/v1/equipment_types/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "external_id": "<string>",
  "gross_capacity": 123,
  "gross_capacity_unit_of_measure": "Load",
  "accounting_id": "<string>",
  "additional_gross_capacities": [
    {
      "capacity": "<string>",
      "unit_of_measure": "Load"
    }
  ]
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "system": true,
    "external_id": "<string>",
    "gross_capacity": "<string>",
    "source": "driver_app",
    "accounting_id": "<string>",
    "additional_gross_capacities": [
      {
        "capacity": "<string>",
        "unit_of_measure": "Load"
      }
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "gross_capacity_unit_of_measure": "Load"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

id
string
required

EquipmentType ID

Body

application/json
name
string
external_id
string | null
gross_capacity
number | null
gross_capacity_unit_of_measure
enum<string>
Available options:
Load,
Tonne,
Ton,
Yard,
Meter,
Foot,
Liter,
Hour,
Bushel,
Gallon,
CubicMeter,
Mile,
Kilometer,
Barrel,
Bag,
Pallet
Example:

"Load"

accounting_id
string | null
additional_gross_capacities
GrossCapacity · object[]

Response

OK

data
EquipmentType-Read · object
required